var i = Object.defineProperty;
var o = (r, t) => i(r, "name", { value: t, configurable: !0 });
import { EditorView as n } from "../../../../../../@codemirror_view@6.36.4/node_modules/@codemirror/view/dist/index.js";
import { tsFacetWorker as f } from "../facet/tsFacetWorker.js";
function d() {
  let r = !0;
  return n.updateListener.of((t) => {
    const e = t.view.state.facet(f);
    e?.worker && (!t.docChanged && !r || (r = !1, e.worker.updateFile({
      path: e.path,
      code: t.state.doc.toString()
    })));
  });
}
o(d, "tsSyncWorker");
export {
  d as tsSyncWorker
};
